Bug 56657 - locale info (LC_TIME, week-1stday) may be wrong in some locales
locale info (LC_TIME, week-1stday) may be wrong in some locales
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-11-23 09:59 EST by Martin Norback
Modified: 2007-04-18 12:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-21 22:35:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin Norback 2001-11-23 09:59:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
The glibc locale info for weeks is wrong in some locales, for example the
de_DE locale info is like this


And, although I haven't found a specification of what these fields mean,
there is a working document at
which defines a field week, which has scary similarities with week-ndays,
week-1stday and week-1stweek.

That document clearly states that the first entry in "day" should
correspond to the date given in week-1stday, but it doesn't, since 19971201
is a Monday, but Sonntag is Sunday in German.

Another example is what you get when you have C locale, then you get:


first_weekday is defined in the above document to be the day that should be
shown first by a week calendar. However 7 means Saturday, and the default
should be 1 (Sunday).

Finally, the sv_SE locale is wrong, since Sweden has been using ISO 8601
some time, and therefore should use Monday as first day of the week instead
of Sunday.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
env LC_TIME=C locale -k LC_TIME
env LC_TIME=de_DE locale -k LC_TIME
env LC_TIME=sv_SE locale -k LC_TIME

Additional info:

Also see bug #56513
Comment 1 Christian Rose 2002-12-22 06:29:51 EST
I split the part about the sv_SE locale info into a bug report of its own, bug
Comment 2 Ulrich Drepper 2003-04-21 22:35:08 EDT
The locale files have to contain the sdata always in the form which has the
translation for Sunday first.  Regardless of what other documents say.  All
locale files comply with this AFAIK.  No bug.

Note You need to log in before you can comment on or make changes to this bug.